# 项目背景
淘宝业务快速发展，如14年11月11日移动终端的总商品量（GMV）占GMV总量的42.6%。与PC时代相比，移动终端上的网络访问可以随时随地进行。此外，他们拥有更丰富的背景数据。此数据集是一份关于用户从浏览到下单一个月内的运营数据，从14年11月到12月一个月的数据，共104万条记录，包含用户id，商品id，购买行为，用户地理位置，商品类别，以及用户的购买时间共6个字段。运营分析团队希望从这份一个月的数据记录中找出对App运营有价值的东西，识别各环节的流失漏斗和App的一些重要价值客户，为App的运营建设提供参考性建议。

|字段名称|描述|
|:--:|--|
|user_id|用户身份，脱敏|
|item_id|商品id，脱敏|
|behavior_type|用户行为类型(包括点击、收藏、加购物车、付款四种，相应值为1/2/3/4)|
|user_geohash|地理位置|
|item_category|品类ID(商品所属的品类)|
|time|用户行为发生的时间|

# 项目目标
1. 基础数据统计  
   + 用户在周期内每天的pv、uv变化，找出时间规律，了解App的整体运营趋势
   + 有购买行为的用户数量，复购率，跳失率
2. 用户行为转化漏斗
   + 点击-收藏-购物车-付款各环节转化率，是否有需要改动的页面或者某个环节的设置
3. 畅销品类
   + 销售次数前10的品类
# 项目方案
1. 利用Python进行数据清洗，使用Sklearn中的k-means聚类实现客户价值RFM模型，利用互联网电商中常用的AARRR模型对用户的各个环节进行剖析，提出改善建议
2. 互联网电商常用业务指标
   + 流量指标
   
     |指标|定义|
     |:---:|--|
     |uv|固定时间内唯一访问人数|
     |visit|会话数|
     |pv|访问页面数|
     |Login|登录人数|
     |Active|激活人数|
     |最近7天uv|最近7天去重人数，周期内同一用户访问多次，只记录一次|
     |最近一个月uv|最近一个月去重人数|
     |最近一个季度uv|最近一个季度去重人数|
     |最近半年uv|最近半年去重人数|
     
   + 转化率指标
   
     |指标|定义|
     |:---:|--|
     |列表转化率|访问过列表页的会话数/总会话数|
     |详情页转化率|访问详情页的会话数/总会话数|
     |订单提交页转化率|有过订单提交的会话数/总会话数|
     |列表-详情转化率|从列表页到详情页的会话数/总会话数|
     |详情-订单提交转化率|从详情页到订单提交页的会话数/总会话数|
     |订单转化率|订单量/UV|

   + 订单指标
   
     |指标|定义|
     |:--:|--|
     |订单数|每天预订订单数|
     |成交订单数|每天成交订单数|
     |首单用户占UV比|当天第一次下单的用户/总UV|
     |首单用户占UB比|当天第一下下单的用户/总下单人数|
     |ARPO|单订单金额|
     |ARPU|单用户金额|
   
# 项目流程
1. python数据预处理
   + 数据读取以及缺失值异常值处理
   + 数据字段处理
2. 数据分析
   + PV/UV随时间的变化趋势
   + App各环节转化率
   + 畅销商品
3. 项目结论与建议
